Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453606 - GPG key URL does not accept valid URL
Summary: GPG key URL does not accept valid URL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: RHN Stable
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Red Hat Network Quality Assurance
URL: http://rhn.redhat.com/network/softwar...
Whiteboard: US= 47021
Depends On:
Blocks: rhn-sprint46
TreeView+ depends on / blocked
 
Reported: 2008-07-01 14:57 UTC by Patrick Connelly
Modified: 2018-10-20 03:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-02 20:53:46 UTC


Attachments (Terms of Use)

Description Patrick Connelly 2008-07-01 14:57:05 UTC
How Reproducible:
Always

Steps to Reproduce:
1. Go to http://rhn.redhat.com/network/software/channels/manage/edit.pxt and login
2. Enter url for GPG key such as http://proxy.example.com/pub/CUSTOM-GPG-KEY
3. Click submit

Actual Results:
Returns error "GPG Key URL invalid - please enter a valid URL"

Expected Results:
Accepts GPG key

Additional Information:
Tested with URL on 5.1 satellite, and it works properly.

Comment 2 Patrick Connelly 2008-07-01 19:20:49 UTC
After a little more digging, it appears that it only accepts https:// not
http:// this either needs to be fixed, or needs to be directly stated on the
channel edit page.

Comment 7 venkat 2010-06-07 14:40:59 UTC
verified in webdev.

now there is (HTTPS is required) next to GPG key URL.


Note You need to log in before you can comment on or make changes to this bug.